.section-steps .steps-thumbs .swiper-slide {
  cursor: pointer;
  transition: transform 0.3s ease;
}

.section-steps .steps-thumbs .swiper-slide:last-child {
  margin-bottom: 0 !important;
}

.section-steps .steps-thumbs .swiper-slide:before,
.section-steps .steps-thumbs .swiper-slide:after {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  height: 100%;
  width: 3px;
  background: currentColor;
  transform-origin: top left;
}
.section-steps .steps-thumbs .swiper-slide:before {
  opacity: 0.125;
  transition: transform 0.3s ease;
}
.section-steps .steps-thumbs .swiper-slide:after {
  transform: scaleY(0);
}
.section-steps .steps-thumbs .steps-text {
  /* interpolate-size: allow-keywords; */
  visibility: hidden;
  height: 0;
  opacity: 0;
  transition: height 0.3s ease, opacity 0.3s ease;
}

.section-steps .steps-thumbs .swiper-slide-thumb-active .steps-text {
  visibility: visible;
  height: auto;
  opacity: 1;
}
.section-steps .steps-thumbs .swiper-slide-thumb-active:after {
  animation: steps-progress var(--nexo-autoplay-delay, 15s) linear forwards;
}

.section-steps
  .steps-thumbs
  .swiper-slide:not(.swiper-slide-thumb-active):hover:before {
  transform: scaleX(2);
}

@keyframes steps-progress {
  from {
    transform: scaleY(0);
  }
  to {
    transform: scaleY(1);
  }
}
